%define basen black-hole-solver
%define libname_orig lib%{basen}
%define major 0
%define libname %mklibname %{basen} %{major}
%define develname %mklibname %{basen} -d
%define staticname %mklibname %{basen} -d -s

Name: %{basen}
Version: 0.14.0
Release: %mkrel 2
License: MIT
Group: Games/Cards
Source0: http://fc-solve.shlomifish.org/downloads/fc-solve/%{basen}-%{version}.tar.xz
URL: http://www.shlomifish.org/open-source/projects/black-hole-solitaire-solver/
Requires: %{libname} = %version-%release
Summary: The Black Hole Solitaire Solver Executable
BuildRequires: ack
BuildRequires: cmake
BuildRequires: gmp-devel
BuildRequires: perl(base)
BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Env::Path)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Games::Solitaire::Verify)
BuildRequires: perl(Games::Solitaire::Verify::Solution)
BuildRequires: perl(Inline)
BuildRequires: perl(Inline::C)
BuildRequires: perl(IPC::Open2)
BuildRequires: perl(lib)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Moo)
BuildRequires: perl(MooX)
BuildRequires: perl(MooX::late)
BuildRequires: perl(Storable)
BuildRequires: perl(strict)
BuildRequires: perl(String::ShellQuote)
BuildRequires: perl(Template)
BuildRequires: perl(Test::Data::Split)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Trap)
BuildRequires: perl(warnings)
BuildRequires: perl(YAML::XS)
BuildRequires: perl-devel
BuildRequires: python3
BuildRequires: python3-random2
BuildRequires: tap-devel
BuildRequires: valgrind

%description
This is a solver, written in C, to solve the Solitaire variant called “Black
Hole” and the one called “All in a Row”. It provides a portable C library, and
a command line application that after being fed with a layout will emit the
cards to move.

%files
%doc COPYING NEWS README TODO.quicktask
%_bindir/black-hole-solve
%{_mandir}/*/*

#--------------------------------------------------------------------

%package -n %{libname}
Summary: The Black Hole Solver dynamic libraries
Group: Games/Cards

%description -n %{libname}
Contains the Black Hole Solver libraries that are used by some programs.

This package is mandatory for the Black Hole Solver executable too.

%files -n %{libname}
%{_libdir}/libblack_hole_solver.so.%{major}{,.*}
%{_libdir}/libblack_hole_solver.so.%{major}

#--------------------------------------------------------------------

%package -n %{develname}
Summary: The Black Hole Solitaire development tools
Group: Games/Cards
Requires: %{libname} = %version-%release
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development tools for the Black Hole Solitaire Solver.

%files -n %{develname}
%_includedir/black-hole-solver/*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libblack_hole_solver.so

#--------------------------------------------------------------------

%package -n %{staticname}
Summary: The Freecell Solver static libraries
Group: Games/Cards
Requires: %{develname} = %version-%release

%description -n %{staticname}
Black Hole Solitaire Solver is a library for automatically solving boards of
Black Hole and All in a Row solitaires. This package contains the static
libraries.

It is not generally required.

%files -n %{staticname}
%{_libdir}/libblack_hole_solver.a

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
# The game limit flags are recommended by the PySolFC README.
%cmake -DLOCALE_INSTALL_DIR=%{_datadir}/locale -DLIB_INSTALL_DIR=%{_libdir}
%make

%check
%ifarch %arm
# valgrind suppression not working without glibc-debuginfo breaks it
rm -f t/valgrind.t
%endif
cd build
%make test

%install
%{makeinstall_std} -C build


%changelog
* Sun Feb 28 2016 pterjan <pterjan> 0.14.0-2.mga6
+ Revision: 980222
- Disable valgrind test on arm, false positive

* Wed Feb 24 2016 shlomif <shlomif> 0.14.0-1.mga6
+ Revision: 978645
- Importing black-hole-solver based on freecell-solver

